Package org.apache.batchee.cli.lifecycle.impl

## Class SpringLifecycle.SpringArtifactFactory

- java.lang.Object
- - org.apache.batchee.container.services.factory.DefaultBatchArtifactFactory
  - - org.apache.batchee.cli.lifecycle.impl.SpringLifecycle.SpringArtifactFactory

- All Implemented Interfaces:
    `XMLStreamConstants`, `BatchArtifactFactory`, `BatchService`
  Enclosing class:
    SpringLifecycle

      public static class SpringLifecycle.SpringArtifactFactory
      extends DefaultBatchArtifactFactory

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.batchee.container.services.factory.DefaultBatchArtifactFactory

      `DefaultBatchArtifactFactory.ArtifactLocator`

    - ### Nested classes/interfaces inherited from interface org.apache.batchee.spi.BatchArtifactFactory

      `BatchArtifactFactory.Instance`

  - ### Field Summary

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpringArtifactFactory​(org.springframework.context.ApplicationContext ctx)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected DefaultBatchArtifactFactory.ArtifactLocator` | `createArtifactsLocator​(ClassLoader tccl)` |

    - ### Methods inherited from class org.apache.batchee.container.services.factory.DefaultBatchArtifactFactory

      `init, load, populateArtifactMapFromStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringArtifactFactory

          public SpringArtifactFactory​(org.springframework.context.ApplicationContext ctx)

  - ### Method Detail

    - #### createArtifactsLocator

          protected DefaultBatchArtifactFactory.ArtifactLocator createArtifactsLocator​(ClassLoader tccl)

      Overrides:
        `createArtifactsLocator` in class `DefaultBatchArtifactFactory`